Functions

# Minimum
[Statistics Functions]

## Functions
void | arm_min_f32 (float32_t *pSrc, uint32_t blockSize, float32_t *pResult, uint32_t *pIndex)
void | arm_min_q31 (q31_t *pSrc, uint32_t blockSize, q31_t *pResult, uint32_t *pIndex)
void | arm_min_q15 (q15_t *pSrc, uint32_t blockSize, q15_t *pResult, uint32_t *pIndex)
void | arm_min_q7 (q7_t *pSrc, uint32_t blockSize, q7_t *pResult, uint32_t *pIndex)

## Detailed Description

Computes the minimum value of an array of data. The function returns both the minimum value and its position within the array. There are separate functions for floating-point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_min_f32 | ( | float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Minimum value of a floating-point vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns:
  none.

Examples:
  arm_class_marks_example_f32.c, and arm_signal_converge_example_f32.c.

Definition at line 60 of file arm_min_f32.c.

void arm_min_q31 | ( | q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Minimum value of a Q31 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns:
  none.

Definition at line 53 of file arm_min_q31.c.

void arm_min_q15 | ( | q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Minimum value of a Q15 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns:
  none.

Definition at line 53 of file arm_min_q15.c.

void arm_min_q7 | ( | q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Minimum value of a Q7 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | blockSize | length of the input vector
  [out] | *pResult | minimum value returned here
  [out] | *pIndex | index of minimum value returned here

Returns:
  none.

Definition at line 52 of file arm_min_q7.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines